datacache <- new.env(hash=TRUE, parent=emptyenv())

htrat230pmrnug <- function() showQCData("htrat230pmrnug", datacache)
htrat230pmrnug_dbconn <- function() dbconn(datacache)
htrat230pmrnug_dbfile <- function() dbfile(datacache)
htrat230pmrnug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
htrat230pmrnug_dbInfo <- function() dbInfo(datacache)

htrat230pmrnugORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "htrat230pmrnug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "htrat230pmrnug", "chip htrat230pmrnug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(htrat230pmrnug_dbconn())
}

